%Bild 14.5-17, zu Abschnitt 14.5.4.3
%bsp_14_5_06_m.m, bsp_14_5_06.mdl
%PD-Regler, schaltende Regler mit Rckfhrung

Kr = 5; Tr1 = 2; 
xd1 = 0.05; xd2 = 0.05; y2 = 1;
xd0 = 1; 
clf;
tmin = -0.4; tmax = 3; t1 = 0.47145;
ymin = -0.1; ymax = 1.2;
sim ('bsp_14_5_06')  
hold on
axis ([tmin tmax ymin ymax])
plot([tmin tmax],[0 0],'k-')
plot([0 0],[ymin ymax],'k-')
plot(t, x(:,3),'k-') % xr(t), xd(t), y(t)
c='k.'; k = 12;
for dt = 0:t1/k:t1
   plot([0 dt],[y2 y2], c)
end
for dt = 1/Kr:(y2-1/Kr)/(2*k):y2
   plot([t1 t1],[y2 dt],c)
end
for dt = t1:t1/k:tmax
   plot([t1 dt],[1/Kr 1/Kr], c)
end
title  ('PD-Regler, x_e_1 = 0.05, x_e_2 = 0.05, y_2 = 1, x_d_0 = 1')
xlabel ('t / s') 
ylabel ('Stellgre y(t), Mittelwert y_m(t)')
grid on
text (0.15, 1.05,'y(t),  y_m(t)');
text (1.375, 1.05,'y(t)');
text (2.27, 0.24,'y_m(t)');
